Bug 1015790 - Add --nocheck to mock
Add --nocheck to mock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 09:56 EDT by Brent Baude
Modified: 2014-04-19 05:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: mock-1.1.38-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 01:37:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nocheck patch (3.46 KB, patch)
2013-10-05 09:56 EDT, Brent Baude
no flags Details | Diff

  None (edit)
Description Brent Baude 2013-10-05 09:56:42 EDT
Created attachment 808160 [details]
nocheck patch

The following patch adds a --nocheck option to mock.  This is useful for speeding up mock or having a way to skip make check.  

I didn't add help text, etc, if you prefer I do that as well, let me know.
Comment 1 Clark Williams 2013-10-23 17:00:20 EDT
I just tweaked it a bit to say:

parser.add_option("--nocheck", action ="store_false", dest="check",
                  default=True, 
                  help="pass --nocheck to rpmbuild to skip 'make check' tests")

thanks for the patch! Queued for 1.1.34
Comment 2 Brent Baude 2013-10-23 17:08:51 EDT
Thanks Clark.  Much appreciated.  If you want me to stab at the help text or related switch definition, shoot me back here or grab me on irc (aka rangerpb).
Comment 3 Fedora Update System 2013-10-30 10:58:24 EDT
mock-1.1.34-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc18
Comment 4 Fedora Update System 2013-10-30 10:59:58 EDT
mock-1.1.34-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.el6
Comment 5 Fedora Update System 2013-10-30 11:02:31 EDT
mock-1.1.34-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc20
Comment 6 Fedora Update System 2013-10-30 11:04:37 EDT
mock-1.1.34-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.34-1.fc19
Comment 7 Fedora Update System 2013-10-30 13:12:31 EDT
Package mock-1.1.34-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.34-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20329/mock-1.1.34-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-11-05 00:32:50 EST
mock-1.1.35-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc19
Comment 9 Fedora Update System 2013-11-05 00:34:20 EST
mock-1.1.35-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc18
Comment 10 Fedora Update System 2013-11-05 00:35:43 EST
mock-1.1.35-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.el6
Comment 11 Fedora Update System 2013-11-05 00:36:58 EST
mock-1.1.35-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.35-1.fc20
Comment 12 Fedora Update System 2013-11-10 01:37:17 EST
mock-1.1.35-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-02-05 21:09:46 EST
mock-1.1.36-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc19
Comment 14 Fedora Update System 2014-02-05 21:11:26 EST
mock-1.1.36-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.fc20
Comment 15 Fedora Update System 2014-02-05 21:12:51 EST
mock-1.1.36-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.36-1.el6
Comment 16 Fedora Update System 2014-02-08 00:03:40 EST
mock-1.1.36-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2014-03-25 16:25:51 EDT
mock-1.1.37-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc19
Comment 18 Fedora Update System 2014-03-25 16:28:12 EDT
mock-1.1.37-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.fc20
Comment 19 Fedora Update System 2014-03-25 16:30:02 EDT
mock-1.1.37-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-1.el6
Comment 20 Fedora Update System 2014-03-27 13:48:38 EDT
mock-1.1.37-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc20
Comment 21 Fedora Update System 2014-03-27 13:50:33 EDT
mock-1.1.37-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.fc19
Comment 22 Fedora Update System 2014-03-27 13:52:27 EDT
mock-1.1.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.37-2.el6
Comment 23 Fedora Update System 2014-03-31 15:05:27 EDT
mock-1.1.38-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc19
Comment 24 Fedora Update System 2014-03-31 15:07:36 EDT
mock-1.1.38-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.el6
Comment 25 Fedora Update System 2014-03-31 15:09:34 EDT
mock-1.1.38-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.1.38-1.fc20
Comment 26 Fedora Update System 2014-04-09 09:19:50 EDT
mock-1.1.38-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2014-04-18 11:38:37 EDT
mock-1.1.38-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2014-04-19 05:20:51 EDT
mock-1.1.38-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.